import type { ComparatorConfig, CustomEqualCreatorOptions, EqualityComparator } from './internalTypes';
/**
 * Create a comparator method based on the type-specific equality comparators passed.
 */
export declare function createComparator<Meta>({ areArraysEqual, areDatesEqual, areMapsEqual, areObjectsEqual, arePrimitiveWrappersEqual, areRegExpsEqual, areSetsEqual, areTypedArraysEqual, }: ComparatorConfig<Meta>): EqualityComparator<Meta>;
/**
 * Create the configuration object used for building comparators.
 */
export declare function createComparatorConfig<Meta>({ circular, createCustomConfig, strict, }: CustomEqualCreatorOptions<Meta>): ComparatorConfig<Meta>;
